html {
    /* primary theme color. This will affect the entire websites color scheme: links, arrows, labels, ... */
    --primary-color: #4ce4cb;
    --primary-dark-color: #0d584c;
    --primary-light-color: #88eddc;

    --code-background: var(--fragment-background);

    --side-nav-background: var(--page-background-color);
}

/* dark mode variables are defined twice, to support both the dark-mode without and with doxygen-awesome-darkmode-toggle.js */
html.dark-mode {
    color-scheme: dark;

    --primary-color: #e44c65;
    --primary-dark-color: #b01b33;
    --primary-light-color: #ed8898;

    --page-background-color: #1c1d26;
    --page-foreground-color: #bfbfbf;
    --page-secondary-foreground-color: #808080;

    --odd-color: rgba(200,200,200,.2);

    --side-nav-background: var(--page-background-color);

    --code-background: var(--fragment-background);

    --header-background: #272833;
}

.memtemplate {
    color: var(--primary-color);
}

.memTemplParams {
    color: var(--primary-color);
    border-top: 1px solid var(--separator-color);
    border-left: 1px solid var(--separator-color);
    border-right: 1px solid var(--separator-color);
    border-radius: var(--border-radius-small) var(--border-radius-small) 0 0;
}

.memTemplItemRight {
    border-bottom: 1px solid var(--separator-color);
    border-right: 1px solid var(--separator-color);
    border-bottom-right-radius: var(--border-radius-small);
}

.memTemplItemLeft {
    border-bottom: 1px solid var(--separator-color);
    border-left: 1px solid var(--separator-color);
    border-bottom-left-radius: var(--border-radius-small);
}

div.header {
    border-bottom: 0;
}

h2.groupheader {
    box-shadow: none;
}

@media screen and (min-width: 768px) {
    .ui-resizable-handle {
        box-shadow: none;
    }
}

.ui-resizable-e {
    width: 0.2rem;
    background: transparent;
}

.ui-resizable-e:hover{
    background: var(--separator-color);
}

#nav-path ul{
    border: none;
}

.contents hr {
    height: 1px;
    background-color: var(--separator-color);
    box-shadow: none;
}

#top {
    border-bottom: none;
}

.directory .levels span {
    color: var(--primary-color);
}